# Generated from ship_engine-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ship_engine

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: ShipEngine API Ruby Gem
License: Unlicense
URL: https://openapi-generator.tech
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
ShipEngine's easy-to-use REST API lets you manage all of your shipping needs
without worrying about the complexities of different carrier APIs and
protocols. We handle all the heavy lifting so you can focus on providing a
first-class shipping experience for your customers at the best possible
prices.  Each of ShipEngine's features can be used by itself or in conjunction
with each other to build powerful shipping functionality into your application
or service.  ## Getting Started If you're new to REST APIs then be sure to
read our [introduction to REST](https://www.shipengine.com/docs/rest/) to
understand the basics. Learn how to [authenticate yourself to
ShipEngine](https://www.shipengine.com/docs/auth/), and then use our [sandbox
environment](https://www.shipengine.com/docs/sandbox/) to kick the tires and
get familiar with our API. If you run into any problems, then be sure to check
the [error handling guide](https://www.shipengine.com/docs/errors/) for tips. 
Here are some step-by-step **tutorials** to get you started:    - [Learn how
to create your first shipping
label](https://www.shipengine.com/docs/labels/create-a-label/)   - [Calculate
shipping costs and compare rates across
carriers](https://www.shipengine.com/docs/rates/)   - [Track packages
on-demand or in real time](https://www.shipengine.com/docs/tracking/)   -
[Validate mailing addresses anywhere on
Earth](https://www.shipengine.com/docs/addresses/validation/)   ## Shipping
Labels for Every Major Carrier ShipEngine makes it easy to [create shipping
labels for any
carrier](https://www.shipengine.com/docs/labels/create-a-label/) and [download
them](https://www.shipengine.com/docs/labels/downloading/) in a [variety of
file formats](https://www.shipengine.com/docs/labels/formats/). You can even
customize labels with your own
[messages](https://www.shipengine.com/docs/labels/messages/) and
[images](https://www.shipengine.com/docs/labels/branding/).   ## Real-Time
Package Tracking With ShipEngine you can [get the current status of a
package](https://www.shipengine.com/docs/tracking/) or [subscribe to real-time
tracking updates](https://www.shipengine.com/docs/tracking/webhooks/) via
webhooks. You can also create [custimized tracking
pages](https://www.shipengine.com/docs/tracking/branded-tracking-page/) with
your own branding so your customers will always know where their package is.  
## Compare Shipping Costs Across Carriers Make sure you ship as
cost-effectively as possible by [comparing rates across
carriers](https://www.shipengine.com/docs/rates/get-shipment-rates/) using the
ShipEngine Rates API. Or if you don't know the full shipment details yet, then
you can [get rate estimates](https://www.shipengine.com/docs/rates/estimate/)
with limited address info.   ## Worldwide Address Validation ShipEngine
supports [address
validation](https://www.shipengine.com/docs/addresses/validation/) for
virtually [every country on
Earth](https://www.shipengine.com/docs/addresses/validation/countries/),
including the United States, Canada, Great Britain, Australia, Germany,
France, Norway, Spain, Sweden, Israel, Italy, and over 160 others. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/git_push.sh
%{gem_libdir}
%{gem_instdir}/ship_engine-1.0.3.gem
%{gem_instdir}/ship_engine-1.0.4.gem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/ship_engine.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.5-1
- Initial package
